curl -X GET https://api.wirebox.sh/api/v1/tunnels/support-bot \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
tunnel = wirebox.tunnels.get("support-bot")
print(f"Public URL: {tunnel.public_url}")
print(f"Live Connected: {tunnel.is_connected}")
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const tunnel = await wirebox.tunnels.get("support-bot");
console.log(`Connected: ${tunnel.isConnected}`);
wirebox tunnel get support-bot
{
"id": "tun_01J8DEF456GHI",
"agent_id": "ident_01J8ABC123XYZ",
"agent_handle": "support-bot",
"public_url": "https://support-bot.wirebox.proxy",
"status": "active",
"is_connected": true,
"connected_clients": 1,
"last_request_at": "2026-09-16T10:30:00Z",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-16T10:30:00Z"
}
Network Tunnels
Get Network Tunnel
Retrieve real-time status and endpoint configuration for an agent’s network tunnel.
GET
/
api
/
v1
/
tunnels
/
{handle}
curl -X GET https://api.wirebox.sh/api/v1/tunnels/support-bot \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
tunnel = wirebox.tunnels.get("support-bot")
print(f"Public URL: {tunnel.public_url}")
print(f"Live Connected: {tunnel.is_connected}")
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const tunnel = await wirebox.tunnels.get("support-bot");
console.log(`Connected: ${tunnel.isConnected}`);
wirebox tunnel get support-bot
{
"id": "tun_01J8DEF456GHI",
"agent_id": "ident_01J8ABC123XYZ",
"agent_handle": "support-bot",
"public_url": "https://support-bot.wirebox.proxy",
"status": "active",
"is_connected": true,
"connected_clients": 1,
"last_request_at": "2026-09-16T10:30:00Z",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-16T10:30:00Z"
}
Path Parameters
string
required
The agent handle or system tunnel ID (e.g.
support-bot or tun_01J8...).curl -X GET https://api.wirebox.sh/api/v1/tunnels/support-bot \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
tunnel = wirebox.tunnels.get("support-bot")
print(f"Public URL: {tunnel.public_url}")
print(f"Live Connected: {tunnel.is_connected}")
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const tunnel = await wirebox.tunnels.get("support-bot");
console.log(`Connected: ${tunnel.isConnected}`);
wirebox tunnel get support-bot
{
"id": "tun_01J8DEF456GHI",
"agent_id": "ident_01J8ABC123XYZ",
"agent_handle": "support-bot",
"public_url": "https://support-bot.wirebox.proxy",
"status": "active",
"is_connected": true,
"connected_clients": 1,
"last_request_at": "2026-09-16T10:30:00Z",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-16T10:30:00Z"
}